Index: src/backend/main/main.c
===================================================================
RCS file: /projects/cvsroot/pgsql-server/src/backend/main/main.c,v
retrieving revision 1.80
diff -c -r1.80 main.c
*** src/backend/main/main.c	19 May 2004 18:58:44 -0000	1.80
--- src/backend/main/main.c	21 May 2004 19:16:12 -0000
***************
*** 278,299 ****
  	}
  
  	/*
! 	 * If the first argument is "-statBuf", then invoke pgstat_main. Note
! 	 * we remove "-statBuf" from the arguments passed on to pgstat_main.
  	 */
  	if (argc > 1 && strcmp(argv[1], "-statBuf") == 0)
  	{
! 		pgstat_main(argc - 2, argv + 2);
  		exit(0);
  	}
  
  	/*
! 	 * If the first argument is "-statCol", then invoke pgstat_mainChild. Note
! 	 * we remove "-statCol" from the arguments passed on to pgstat_mainChild.
  	 */
  	if (argc > 1 && strcmp(argv[1], "-statCol") == 0)
  	{
! 		pgstat_mainChild(argc - 2, argv + 2);
  		exit(0);
  	}
  #endif
--- 278,297 ----
  	}
  
  	/*
! 	 * If the first argument is "-statBuf", then invoke pgstat_main. 
  	 */
  	if (argc > 1 && strcmp(argv[1], "-statBuf") == 0)
  	{
! 		pgstat_main(argc , argv);
  		exit(0);
  	}
  
  	/*
! 	 * If the first argument is "-statCol", then invoke pgstat_mainChild. 
  	 */
  	if (argc > 1 && strcmp(argv[1], "-statCol") == 0)
  	{
! 		pgstat_mainChild(argc, argv);
  		exit(0);
  	}
  #endif
Index: src/backend/postmaster/pgstat.c
===================================================================
RCS file: /projects/cvsroot/pgsql-server/src/backend/postmaster/pgstat.c,v
retrieving revision 1.70
diff -c -r1.70 pgstat.c
*** src/backend/postmaster/pgstat.c	18 May 2004 03:36:30 -0000	1.70
--- src/backend/postmaster/pgstat.c	21 May 2004 19:17:36 -0000
***************
*** 520,527 ****
  static void
  pgstat_parseArgs(PGSTAT_FORK_ARGS)
  {
! 	Assert(argc == 12);
! 	argc = 0;
  	pgStatSock 		= atoi(argv[argc++]);
  	pgStatPmPipe[0]	= atoi(argv[argc++]);
  	pgStatPmPipe[1]	= atoi(argv[argc++]);
--- 520,535 ----
  static void
  pgstat_parseArgs(PGSTAT_FORK_ARGS)
  {
! 	Assert(argc == 14);
! 
! 	if (find_my_exec(argv[0], my_exec_path) < 0)
! 		elog(FATAL,
! 				gettext("%s: could not locate my own executable path"),
! 						argv[0]);
! 	
! 	get_pkglib_path(my_exec_path, pkglib_path);
! 
! 	argc = 2;
  	pgStatSock 		= atoi(argv[argc++]);